<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Extended Product Grid Subscription Functionality
 */

namespace Amasty\PgridSubscriptionFunctionality\Model;

use Amasty\Pgrid\Model\ConfigProvider as BaseConfigProvider;

class ConfigProvider extends BaseConfigProvider
{
    public const CROP_DECIMAL = 'editing/crop_decimal';

    public function isCropDecimal(): bool
    {
        return $this->isSetFlag(self::CROP_DECIMAL);
    }
}
