<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Extended Product Grid Subscription Functionality
 */

namespace Amasty\PgridSubscriptionFunctionality\Plugin\Pgrid\Ui\Component\Listing\Column\QtyPerSource;

use Amasty\Pgrid\Ui\Component\Listing\Column\QtyPerSource;

class AddFilter
{
    public function afterPrepare(QtyPerSource $subject): void
    {
        $config = $subject->getData('config');
        $config['filter'] = 'textRange'; //must add filter here 'cause of overriding in ui_component
        $subject->setData('config', $config);
    }
}
